Package com.macrofocus.high_d.mds.tsne

# Class DefaultMatrixOperations

java.lang.Object
com.macrofocus.high_d.mds.tsne.AbstractMatrixOperations
com.macrofocus.high_d.mds.tsne.DefaultMatrixOperations

All Implemented Interfaces:
  `MatrixOperations`

public class DefaultMatrixOperations extends AbstractMatrixOperations

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.macrofocus.high_d.mds.tsne.MatrixOperations

  `MatrixOperations.MatrixOp`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultMatrixOperations()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `dnrom(double mu, double sigma)`
  Generate random draw from Normal with mean mu and std.
  `double[][]`
  `minus(double[][] m1, double[][] m2)`
  `double[][]`
  `scalarMultiply(double[][] m1, double[][] m2)`
  `double[][]`
  `transpose(double[][] matrix)`

  ### Methods inherited from class com.macrofocus.high_d.mds.tsne.AbstractMatrixOperations

  `abs, addColumnVector, addRowVector, assignAllLessThan, assignAtIndex, assignValuesToRow, biggerThan, concatenate, diag, equal, exp, fillMatrix, getValuesFromRow, maximum, mean, negate, plus, range, range, rnorm, scalarDivide, scalarInverse, scalarMult, scalarPlus, scalarPow, square, sum, sum, tile, times`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultMatrixOperations

    public DefaultMatrixOperations()

- ## Method Details

  - ### scalarMultiply

    public double[][] scalarMultiply(double[][] m1, double[][] m2)

  - ### minus

    public double[][] minus(double[][] m1, double[][] m2)

  - ### transpose

    public double[][] transpose(double[][] matrix)

  - ### dnrom

    public double dnrom(double mu, double sigma)
    Description copied from interface: `MatrixOperations`
    Generate random draw from Normal with mean mu and std. dev sigma
    Returns:
      random sample